<template>
  <div class="modal">
    <div class="modal-wrapper">
      <div class="modal-btn__close">x</div>
      <slot></slot>
    </div>
  </div>
</template>

<script>
export default {
  name: 'VSModal',
  props: {
    showShadow: { Boolean, default: true },
  },
  methods: {
    initShadow() {
      const body = document.body;

      body.classList.add('shadow');
    },
    removeShadow() {
      const body = document.body;

      body.classList.remove('shadow');
    },
  },
  created() {
    if (this.showShadow) this.initShadow();
  },
};
</script>

<style lang="less" scoped>
  @import '../../less/media.less';
  .modal {
    position: fixed;
    bottom: -12px;
    height: auto;
    width: 100%;
    background-color: var(--color-bg-default);
    border-radius: 12px;
    z-index: 1001;

    &-wrapper {
      padding: 20px 20px 40px;
    }

    &-btn {
      &__close {
        position: absolute;
        top: 4px;
        right: 12px;
        font-size: 26px;
        font-weight: 900;
        cursor: pointer;
      }
    }
  }
</style>
